org.apache.sling.maven.slingstart

## Class PomArtifactVersionResolver

- java.lang.Object
- - org.apache.sling.maven.slingstart.PomArtifactVersionResolver

All Implemented Interfaces:
  org.apache.sling.provisioning.model.ModelUtility.ArtifactVersionResolver

    public class PomArtifactVersionResolver
    extends Object
    implements org.apache.sling.provisioning.model.ModelUtility.ArtifactVersionResolver

Provisioning artifact resolver that tries to resolve artifacts in provisioning file without version (LATEST) against the dependencies defined in the maven project. The following sections in the Maven project are considered during resolving the version:

1. The project's artifact itself
2. The project's dependencies
3. The project's dependencyManagement

### Constructor Summary

Constructors
Constructor and Description
`PomArtifactVersionResolver(org.apache.maven.project.MavenProject project, boolean allowUnresolvedPomDependencies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `resolve(org.apache.sling.provisioning.model.Artifact artifact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PomArtifactVersionResolver

    public PomArtifactVersionResolver(org.apache.maven.project.MavenProject project,
                                      boolean allowUnresolvedPomDependencies)

Parameters:
  `project` - Maven project
  `allowUnresolvedPomDependencies` - If true, no exception is thrown when resolving is not possible

### Method Detail

#### resolve

    public String resolve(org.apache.sling.provisioning.model.Artifact artifact)

Specified by:
  `resolve` in interface `org.apache.sling.provisioning.model.ModelUtility.ArtifactVersionResolver`